DAHDI_HARDWARE(8)

NAME
dahdi_hardware - Shows Dahdi hardware devices.

SYNOPSIS
dahdi_hardware [-v][-x]

OPTIONS

-v  Verbose output - show spans used by each device etc. Currently only implemented for the Xorcom Astribank.

-x  Show disconnected Astribank unit, if any.

DESCRIPTION
Show all Dahdi hardware devices. Devices are recognized according to lists of PCI and USB IDs in Dahdi::Hardware::PCI.pm and Dahdi::Hardware::USB.pm . For PCI it is possible to detect by sub-vendor and sub-product ID as well.

The first output column is the connector: a bus specific field that shows where this device is.

The second field shows which driver should handle the device. a "-" sign marks that the device is not yet handled by this driver. A "+" sign means that the device is handled by the driver.

For the Xorcom Astribank (and in the future: for other Dahdi devices) some further information is provided from the driver. Those extra lines always begin with spaces.

Example output:

Without drivers loaded:

  usb:001/002        xpp_usb-     e4e4:1152 Astribank-multi FPGA-firmware
  usb:001/003        xpp_usb-     e4e4:1152 Astribank-multi FPGA-firmware
  pci:0000:01:0b.0   wctdm-       e159:0001 Wildcard TDM400P REV H

With drivers loaded, without -v:
  usb:001/002 xpp_usb+ e4e4:1152 Astribank-multi FPGA-firmware
  usb:001/003 xpp_usb+ e4e4:1152 Astribank-multi FPGA-firmware
  pci:0000:01:0b.0 wctdm+ e159:0001 Wildcard TDM400P REV E/F

With drivers loaded, with -v:
  usb:001/002 xpp_usb+ e4e4:1152 Astribank-multi FPGA-firmware
   LABEL=[usb:123] CONNECTOR=usb-0000:00:1d.7-1
          XBUS-00/XPD-00: FXS Span 2
          XBUS-00/XPD-10: FXS Span 3
          XBUS-00/XPD-20: FXS Span 4
          XBUS-00/XPD-30: FXS Span 5
  usb:001/003 xpp_usb+ e4e4:1152 Astribank-multi FPGA-firmware
   LABEL=[usb:4567] CONNECTOR=usb-0000:00:1d.7-4
          XBUS-01/XPD-00: FXS Span 6 XPP-SYNC
          XBUS-01/XPD-10: FXO Span 7
          XBUS-01/XPD-20: FXO Span 8
          XBUS-01/XPD-30: FXO Span 9
  pci:0000:01:0b.0 wctdm+ e159:0001 Wildcard TDM400P REV E/F